import request from '@/utils/request'

//获取动态验证码
export function GetCheckCode (params) {
    return request({
        url: '/api/4A/GetCheckCode/v1',
        method: 'post',
        data: params
    })
}

//登录
export function login (params) {
    return request({
        url: '/api/4A/Login/v1',
        method: 'post',
        data: params
    })
}

//登出
export function loginUp (params) {
    return request({
        url: '/api/4A/Logout/v1',
        method: 'post',
        data: params
    })
}

//忘记密码
export function changePassword (params) {
    return request({
        url: '/api/4A/ForgetPwd/v1',
        method: 'post',
        data: params
    })
}

//权限获取
export function permission (params) {
    return request({
        url: '/api/4A/GetAuth/v1',
        method: 'post',
        data: params
    })
}
