/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-10-15 12:00:29
 * @LastEditors: Please set LastEditors
 * @Description: 柱状图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsLine.js
 */
export default {
  data () {
    return {
      options: {
        color: ['#7569BE'],
        xAxis: {
          type: 'category',
          data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
        },
        title: {
          textStyle: {
            color: '#303133',
            fontSize: 24
          }
        },
        yAxis: {
          type: 'value',
          axisTick: {
            show: false
          },
          axisLine: {
            show: false,
            lineStyle: {
              color: '#698dc3'
            }
          },
          splitLine: {
            lineStyle: {
              type: 'solid',
              color: '#DCDFE6'
            }
          },
          axisLabel: {
            color: '#000'
          }
        },
        xAxis: {
          type: 'category',
          axisTick: {
            show: false
          },
          axisLine: {
            show: false,
            lineStyle: {
              color: '#698dc3'
            }
          },
          splitLine: {
            lineStyle: {
              type: 'solid',
              color: '#000'
            }
          },
          axisLabel: {
            color: '#000'
          }
        },
        grid: {
          top: '66px',
          bottom: '33px',
          left: '5%',
          right: 0
        },
        series: [{
          data: [],
          type: 'bar',
          barWidth: 56
        }]
      }
    }
  }
}