/*
 * @Author: your name
 * @Date: 2021-10-18 10:48:30
 * @LastEditTime: 2021-10-18 13:55:54
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \Foshan4A\src\layout\mixin\commonProgress.js
 */
export default {
  data () {
    return {
      options: {
        angleAxis: {
          axisLine: {
            show: false,
          },
          axisLabel: {
            show: false,
          },
          splitLine: {
            show: false,
          },
          axisTick: {
            show: false,
          },
          min: 0,
          max: 132,
          startAngle: 225,
        },
        radiusAxis: {
          type: 'category',
          axisLine: {
            show: false,
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            show: false,
          },
          data: ['a', 'b', 'c'],
          z: 10,
        },
        polar: {
          radius: '90%', //调半径
        },
        title: {
          text: '总计',
          subtext: '1745',
          left: '45%',
          textAlign: 'center',
          top: '35%',
          subtextStyle: {
            color: '#303133',
            fontSize: 32,
            fontWeight: 'bold'
          }
        },
        series: [
          {
            type: 'bar',
            data: [, , (10 / 100) * 100],
            z: 1,
            coordinateSystem: 'polar',
            barMaxWidth: 24,
            // name: "警告事件",
            roundCap: true,
            color: '#E752A3',
            barGap: '-100%',
          },
          {
            type: 'bar',
            data: [, , 100],
            z: 0,
            silent: true,
            coordinateSystem: 'polar',
            barMaxWidth: 24,
            name: 'C',
            roundCap: true,
            color: '#8969BE',
            barGap: '-100%',
          },
        ]
      }
    }
  }
}