/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-10-18 09:14:26
 * @LastEditors: Please set LastEditors
 * @Description: 折线图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsLine.js
 */
export default {
  data () {
    return {
      options: {
        title: {
          text: '',
          textStyle: {
            color: '#303133',
            fontSize: 24
          }
        },
        tooltip: {
          trigger: 'axis'
        },
        legend: {
          show: false
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '3%',
          containLabel: true
        },
        xAxis: {
          type: 'category',
          boundaryGap: false,
          data: [],
          axisLabel: {
            color: '#000'
          }
        },
        yAxis: {
          type: 'value',
          axisLabel: {
            color: '#000'
          }
        },
        series: []
      }
    }
  }
}