/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-12-08 11:11:26
 * @LastEditors: Please set LastEditors
 * @Description: 饼图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsPie.js
 */
export default {
  data () {
    return {
      options: {
        tooltip: {
          trigger: 'item'
        },
        legend: {
          top: '5%',
          left: 'center',
          show: false
        },
        title: {
          textStyle: {
            color: '#303133',
            fontSize: 24
          }
        },
        series: [
          {
            name: '访问来源',
            type: 'pie',
            radius: ['40%', '70%'],
            avoidLabelOverlap: false,
            label: {
              show: false,
              position: 'center'
            },
            hoverAnimation: false,
            emphasis: {
              label: {
                show: false,
                fontSize: '40',
                fontWeight: 'bold'
              }
            },
            labelLine: {
              show: false
            },
            data: []
          }
        ]
      }
    }
  }
}