import Cookies from 'js-cookie'

const TokenKey = 'token'

export function getToken () {
  return Cookies.get(TokenKey)
}

export function setToken (token) {
  return Cookies.set(TokenKey, token)
}

export function setUserId (id) {
  return sessionStorage.setItem("User_Id", id)
}

export function getUserId () {
  return sessionStorage.getItem("User_Id")
}

export function removeToken () {
  return Cookies.remove(TokenKey)
}
